Skip to main content
POST
Create beneficiary

Sample cURL

Response Example

The returned id is the beneficiaryId used in subsequent transfer operations (prepare/execute).

Headers

X-Tenant-ID
string
required
Example:

"tenant-demo-001"

X-User-ID
string
X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client source identifier

Example:

"client-app"

platform
string
required

Client platform

Example:

"mobile"

deviceId
string
required

Device identifier

Example:

"device-demo-001"

Authorization
string
required

Bearer JWT

Example:

"Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJkZW1vLXVzZXIifQ.demo-signature"

Path Parameters

accountId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

Body

application/json

Beneficiary creation payload

Create beneficiary request

partyType
enum<string>

Party type

Available options:
INDIVIDUAL_CUSTOMER,
BUSINESS_CUSTOMER
Example:

"INDIVIDUAL_CUSTOMER"

companyName
string

Beneficiary company name

Example:

"Acme Supplier Ltd"

shortName
string

Short display name

Example:

"Acme Supplier"

iban
string

Beneficiary IBAN

Example:

"LT121000011101001000"

currency
string

Transaction currency

Example:

"EUR"

country
string

Beneficiary country code

Example:

"LT"

email
string

Beneficiary email

Example:

"payments@acme-supplier.test"

phoneNumber
string

Beneficiary phone number

Example:

"+37060012345"

bicSwiftCode
string

BIC/SWIFT code

Example:

"HABALT22"

networkName
string

Payment network name

Example:

"SEPA"

bankName
string

Beneficiary bank name

Example:

"Sample Bank"

purposeCode
string

Purpose code

Example:

"SUPP"

accountNumber
string

Bank account number

Example:

"1000011101001000"

bankCode
string

Bank code

Example:

"73000"

addressLine1
string

Address line 1

Example:

"123 Business Avenue"

addressLine2
string

Address line 2

Example:

"Suite 7"

city
string

City

Example:

"Vilnius"

stateProvince
string

State or province

Example:

"Vilnius County"

postalCode
string

Postal code

Example:

"LT-01001"

organizationId
string

Organization identifier

Example:

"123e4567-e89b-12d3-a456-426614174010"

customerId
string

Customer identifier

Example:

"123e4567-e89b-12d3-a456-426614174011"

firstName
string

Beneficiary first name

Example:

"Jane"

dateOfBirth
string

Date of birth (INDIVIDUAL party type)

Example:

"1990-01-15T00:00:00.000Z"

lastName
string

Beneficiary last name

Example:

"Doe"

name
string

Beneficiary full name

Example:

"Jane Doe"

targetCustomerId
string

Target customer identifier

Example:

"123e4567-e89b-12d3-a456-426614174012"

type
string

Beneficiary type

Example:

"EXTERNAL"

bankAddress
string

Bank address

Example:

"1 Bank Street, Vilnius"

bic
string

BIC code

Example:

"HABALT22"

allowedOperations
string[]

Allowed operation types

Example:

Response

Beneficiary created

Standard API response wrapper with beneficiary in data

code
integer<int32>

HTTP-style status code

Example:

201

data
object

Beneficiary

message
string

Result message

Example:

"Success"